Description: Crypted File System & Encrypted Session Manager
Name: cfs
Version: 1.3.3
Release: 3
Copyright: csv: Matt Blaze, AT&T     esm: Matt Blaze, AT&T, RSA; 
Group: Daemons
Source0: ftp.hacktic.nl/pub/replay/pub/crypto/CRYPTOapps/cfs-1.3.3.tar.gz
Source1: ftp.funet.fi/pub/crypt/cryptography/asymmetric/rsa/rsaref2.tar.gz
Source2: ftp.mathematik.th-darmstadt.de/pub/linux/okir/cfs-1.1.2.additional-files.tar.gz
Patch: cfs-1.3.3-2-linux.patch
Packager: Georg P. Israel <g.israel@ieee.org>
Vendor: none
Distribution: none

%prep
%setup
%setup -D -b 1
%setup -D -T -a 2
%patch -p1

%build
cd ../rsaref2/install/unix
make 

cd ../../../cfs-1.3.3
make esm
make cfs
cp ../rsaref2/doc/license.txt license_for_esm.txt

%install
make install_cfs
make install_esm
rm -f /etc/rc.d/init.d/cfsfs /etc/rc.d/rc0.d/K65cfsfs /etc/rc.d/rc1.d/K65cfsfs \
  /etc/rc.d/rc2.d/K65cfsfs /etc/rc.d/rc6.d/K65cfsfs /etc/rc.d/rc3.d/S65cfsfs \
  /etc/rc.d/rc5.d/S65cfsfs
[ -d /.cfsfs ] && rmdir /.cfsfs
[ -d /crypt ] && rmdir /crypt
mkdir /.cfsfs
mkdir /crypt
chmod 000 /.cfsfs
cp cfsfs /etc/rc.d/init.d
chmod 755 /etc/rc.d/init.d/cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc0.d/K65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc1.d/K65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc2.d/K65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc3.d/S65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc5.d/S65cfsfs

cp cattach.1  /usr/man/man1/cattach.1
cp cdetach.1  /usr/man/man1/cdetach.1
cp cmkdir.1   /usr/man/man1/cmkdir.1
cp cpasswd.1  /usr/man/man1/cpasswd.1
cp esm.1      /usr/man/man1/esm.1
#cp ssh.1      /usr/man/man1/ssh.1
cp ccat.8     /usr/man/man8/ccat.8
cp cfsd.8     /usr/man/man8/cfsd.8
cp cname.8    /usr/man/man8/cname.8

%post
echo "portmap: localhost                # Used for cfs" >> /etc/hosts.allow
echo "/.cfsfs           localhost       # Used for cfs" >> /etc/exports

%postun
cp /etc/exports /etc/exports.rpmsave
cp /etc/hosts.allow /etc/hosts.allow.rpmsave
grep -v "portmap:[      ]*localhost[    ]*# Used for cfs" \
   /etc/hosts.allow.rpmsave > /etc/hosts.allow
grep -v "/.cfsfs[       ][      ]*localhost[    ]*# Used for cfs" \
/etc/exports.rpmsave > /etc/exports

%files
/usr/sbin/cfsd
/usr/bin/cattach
/usr/bin/cdetach
/usr/bin/cmkdir
/usr/bin/cpasswd
#/usr/bin/ssh    
/usr/bin/cname
/usr/bin/ccat

/usr/man/man1/cattach.1
/usr/man/man1/cdetach.1
/usr/man/man1/cmkdir.1
/usr/man/man1/cpasswd.1
/usr/man/man1/esm.1
#/usr/man/man1/ssh.1 
/usr/man/man8/ccat.8
/usr/man/man8/cfsd.8
/usr/man/man8/cname.8

%doc README
%doc README.rpm_install
%doc README.linux
%doc README.history
%doc notes.ms
%doc README.esm
%doc license_for_esm.txt 

%dir /.cfsfs
%dir /crypt
